You are not logged in.

#1 2024-06-06 11:34:03

mmccaskill
Member
From: NC
Registered: 2005-02-21
Posts: 165

Can't install visual-studio-code-bin 1.90.0-1

I'm trying to update my system and it wants to upgrade visual-studio-code-bin to 1.90.0-1. However, the install fails with:

Packages (2) visual-studio-code-bin-1.90.0-1  visual-studio-code-bin-debug-1.90.0-1

Total Installed Size:  383.34 MiB
Net Upgrade Size:        1.46 MiB

:: Proceed with installation? [Y/n] 
(2/2) checking keys in keyring                                                                                                                    [##########################################################################################] 100%
(2/2) checking package integrity                                                                                                                  [##########################################################################################] 100%
(2/2) loading package files                                                                                                                       [##########################################################################################] 100%
(2/2) checking for file conflicts                                                                                                                 [##########################################################################################] 100%
error: failed to commit transaction (conflicting files)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/09/ff65463755b887e71c59f7b68228e92a84bd46 exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/09/ff65463755b887e71c59f7b68228e92a84bd46.debug exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/15/1f079fb274bc8b986bddea21c82a6b2ce21690 exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/15/1f079fb274bc8b986bddea21c82a6b2ce21690.debug exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/c7/dd943c9a2f9568fcd82fa7baddb1f22f38fb22 exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/c7/dd943c9a2f9568fcd82fa7baddb1f22f38fb22.debug exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/f3/a26db3f1c4644e02d50fa102282631595594df exists in filesystem (owned by slack-desktop-debug)
visual-studio-code-bin-debug: /usr/lib/debug/.build-id/f3/a26db3f1c4644e02d50fa102282631595594df.debug exists in filesystem (owned by slack-desktop-debug)
Errors occurred, no packages were upgraded.
 -> error installing: [/home/mmccaskill/.cache/yay/visual-studio-code-bin/visual-studio-code-bin-1.90.0-1-x86_64.pkg.tar.zst /home/mmccaskill/.cache/yay/visual-studio-code-bin/visual-studio-code-bin-debug-1.90.0-1-x86_64.pkg.tar.zst] - exit status 1

I am not versed enough into debugedit and how to get around this. Does anyone have any suggestions? Thanks.

Offline

#2 2024-06-06 11:40:31

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,159

Re: Can't install visual-studio-code-bin 1.90.0-1

Are you planning to troubleshoot, file or help solving bugs for vs studio code and/or slack-desktop ?

If not, just remove the debug packages.


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#3 2024-06-07 16:37:59

mmccaskill
Member
From: NC
Registered: 2005-02-21
Posts: 165

Re: Can't install visual-studio-code-bin 1.90.0-1

It fixed it by removing the slack-desktop-debug, then installing visual-studio-code. Thanks for the help. I'm just curious if this type of collision is frequent or an odd one-off.

Offline

#4 2024-06-07 17:10:21

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 22,093

Re: Can't install visual-studio-code-bin 1.90.0-1

It's going to be frequent for debug packages including the same version of electron. But as a "end user" there's not much point to you installing the debug packages unless you're actively debugging something, and I'd strongly suggest you change your makepkg.conf to not generate debug packages.

Offline

Board footer

Powered by FluxBB